# Copyright (c) 2015, JINGROW and Contributors
# License: MIT. See LICENSE

import jingrow
from jingrow.desk.form.linked_with import get_linked_pgs, get_linked_pagetypes
from jingrow.tests.utils import JingrowTestCase


class TestForm(JingrowTestCase):
	def test_linked_with(self):
		results = get_linked_pgs("Role", "System Manager", linkinfo=get_linked_pagetypes("Role"))
		self.assertTrue("User" in results)
		self.assertTrue("PageType" in results)
